.row{
    max-width: $grid-width;
    margin: 0 auto;

    &:not(:last-child){ // ":not(pseudo)" select everything except the last child
        margin-bottom: $gutter-vertical;

        @include respond(tab-port){
            margin-bottom: $gutter-vertical-medium;
        }
    }

    @include respond(tab-port){
        max-width: 60rem;
        padding: 0 3rem;
    }

    @include respond(phone){
        max-width: 50rem;
        
    }

    @include clearfix;

    // Select the attribute selector for col
    // '^' selects all the class that contains starting with "col-"
    [class^="col-"]{ 
        float: left;
        
        &:not(:last-child){
            margin: 0 $gutter-horizontal 0 0;

            @include respond(tab-port){
                margin: 0 0 $gutter-vertical-medium 0;
            }
        }

        @include respond(tab-port){
            width: 100% !important;
        }
    }

    .col-1-of-2{
        width: calc((100% - #{$gutter-horizontal}) / 2);
    }
    
    .col-1-of-3{
        width: calc((100% - 2 * #{$gutter-horizontal}) / 3);
    }

    .col-2-of-3{
        width: calc( 2 * ((100% - 2 * #{$gutter-horizontal}) / 3) + #{$gutter-horizontal}) ;
    }

    .col-1-of-4{
        width: calc((100% - 3 * #{$gutter-horizontal}) / 4);

        @include respond(tab-port){
            width: calc((100% - #{$gutter-horizontal}) / 2) !important;
            max-width: 70%;
            margin: 0 1.5rem 5rem !important;
        }

        @include respond(phone){
            width: 100% !important;
            margin: 0 auto 5rem !important;
            float: none;
        }
    }

    .col-2-of-4{
        width: calc( 2 * ((100% - 3 * #{$gutter-horizontal}) / 4) + #{$gutter-horizontal}) ;
    }

    .col-3-of-4{
        width: calc( 3 * ((100% - 3 * #{$gutter-horizontal}) / 4) + 2 * #{$gutter-horizontal}) ;
    }
}